//--------------------------------------------------------------
// File     : main.c
// Datum    : 28.09.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F429
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der BMA180-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
// In Configuration diese Define hinzufgen :
// "STM32F429_439xx" , "__ASSEMBLY__" , "USE_STDPERIPH_DRIVER"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_lcd_ili9341.h"
#include "stm32_ub_font.h"
#include "stm32_ub_bma180.h"
#include <stdio.h>


void Delay(volatile uint32_t nCount) {
  while(nCount--) {
  }
}


int main(void)
{
  ErrorStatus check;
  int16_t x,y,z,t;
  char buf[30];

  SystemInit(); // Quarz Einstellungen aktivieren

  // Init vom LCD
  UB_LCD_Init();
  // Init der Layer
  UB_LCD_LayerInit_Fullscreen();
  // auf Hintergrund schalten
  UB_LCD_SetLayer_1();
  // Hintergrund komplett mit einer Farbe fllen
  UB_LCD_FillLayer(RGB_COL_WHITE);
  // auf Vordergrund schalten
  UB_LCD_SetLayer_2();
  // Vordergrund komplett mit einer Farbe fllen
  UB_LCD_FillLayer(RGB_COL_GREEN);

  UB_LCD_Rotate_180();

  // Ueberschrift
  UB_Font_DrawString(10,10,"Demo_25 :  ",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);
  UB_Font_DrawString(10,30,"AccSens. BMA180",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);

  // init vom BMA180-Sensor
  check=UB_BMA180_Init(SCALE_2G);
  if(check==ERROR) {
    UB_Font_DrawString(10,70,"Error",&Arial_11x18,RGB_COL_WHITE,RGB_COL_RED);
    while(1);
  }

  while(1)
  {
    // Sensorwerte einlesen
    UB_BMA180_Read();
    // X-Achse anzeigen
    x=BMA180.x_achse;
    sprintf(buf,"X=%d  ",x);
    UB_Font_DrawString(10,90,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
    // Y-Achse anzeigen
    y=BMA180.y_achse;
    sprintf(buf,"Y=%d  ",y);
    UB_Font_DrawString(10,110,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
    // Z-Achse anzeigen
    z=BMA180.z_achse;
    sprintf(buf,"Z=%d  ",z);
    UB_Font_DrawString(10,130,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);
    // Temperatur anzeigen
    t=BMA180.temperatur;
    sprintf(buf,"T=%d  ",t);
    UB_Font_DrawString(10,150,buf,&Arial_11x18,RGB_COL_BLACK,RGB_COL_GREEN);

    Delay(5000000);
  }
}

